3
\$\begingroup\$

Game work with the old version 2.0.6. But they get this error after switching to 2.4.2

TypeError: this.scale.setScreenSize is not a function

any Idea how to solve this ?

\$\endgroup\$
5
\$\begingroup\$

I found this in the changelog:

Deprecated [...] ScaleManager.setScreenSize (see updateLayout)

Try replacing your call to setScreenSize with updateLayout -- that worked for me.

\$\endgroup\$
1
  • \$\begingroup\$ Sure thing! I had the same problem, so I'm glad I could pass on a fix. \$\endgroup\$
    – ojrac
    Aug 8 '15 at 0:45

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.